<!DOCTYPE html PUBLIC "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
  <meta http-equiv="Content-Type"
 content="text/html; charset=iso-8859-1">
  <meta name="GENERATOR"
 content="Mozilla/4.75 [en] (Windows NT 5.0; U) [Netscape]">
  <title>Week Four Lecture&nbsp; Introduction to HyperText Modeling
Language</title>
</head>
<body>
<div>
<center><b><font face="Arial,Helvetica"><font color="#000000">Week Four
Lecture</font></font></b>
<p><b><font face="Arial,Helvetica"><font color="#000000">JavaScript</font></font></b></p>
</center>
<p><font face="Arial,Helvetica">This week we will learn how to write
client side programs in our web pages using the scripting language,
JavaScript.&nbsp; Programming and scripting languages present the
client with an active web page.</font> <br>
</p>
<hr align="left" width="100%">
<b><font face="Arial,Helvetica">Web Hosting</font></b>
<p><font face="Arial,Helvetica">The is a Web Programming class
requiring Web Hosting.&nbsp; Please review the Web Hosting Instructions
Thread in the Course Materials Newsgroup for detailed
information.&nbsp; <b>Reminder:&nbsp; All assignments are not to be
generated using WYSIWYG tools.&nbsp; I can verify this by viewing your
source.</b></font> <br>
</p>
<hr align="left" width="100%">
<b><font face="Arial,Helvetica">HTML Tags in Detail</font></b>
<p><font face="Arial,Helvetica">The following sections discuss new HTML
tags and code.&nbsp; We will go into each of the tags
individually.&nbsp; Each example will build upon the previous
example.&nbsp; All new material that is added will contain this <b><font
 color="#009900">font and color.</font></b></font> <br>
</p>
<hr align="left" width="100%">
<b><font face="Arial,Helvetica">Java and JavaScript</font></b>
<p><font face="Arial,Helvetica"><a
 href="http://searchsolaris.techtarget.com/sDefinition/0,,sid12_gci212415,00.html">Java</a>
and <a
 href="http://searchwebmanagement.techtarget.com/sDefinition/0,,sid27_gci212418,00.html">JavaScript</a>
are not the same.&nbsp; Java is a very powerful Object-Oriented
Programming Language that is robust, stable, secure, distributed and
Java's key feature PORTABLE.&nbsp; Java uses the Java Virtual Machine
which is an Interface between Java code and the hardware.&nbsp; Thus
developers can write programs that can execute on any platform that is
executing the JVM.</font> </p>
<p><font face="Arial,Helvetica">JavaScript is a scripting language,
using a small subset of Java executables.&nbsp; Scripts are easy to
learn, no Developer's Kit required and scripts are written directly
with HTML.&nbsp; JavaScript is used for simple tasks.</font> </p>
<p><font face="Arial,Helvetica">Remember Java is a programming language
and JavaScript is a scripting language.&nbsp; Here are a couple
websites for additional information on these technologies:</font> <br>
&nbsp;
<table bgcolor="#ccffff" border="1" cols="2" width="243">
  <tbody>
    <tr>
      <td width="85"><font face="Arial,Helvetica">Java</font></td>
      <td width="142"><font face="Arial,Helvetica"><a
 href="http://java.sun.com">http://java.sun.com</a></font></td>
    </tr>
    <tr>
      <td width="85"><font face="Arial,Helvetica">JavaScript</font></td>
      <td width="142"><font face="Arial,Helvetica"><a
 href="http://netscape.com">http://netscape.com</a></font></td>
    </tr>
  </tbody>
</table>
</p>
<hr align="left" width="100%">
<b><font face="Arial,Helvetica">JavaScript Elements</font></b>
<p><font face="Arial,Helvetica">There are four categories of elements
that appear in JavaScript.&nbsp; They are:</font> </p>
<ul>
  <li><font face="Arial,Helvetica">Objects</font>
    <ul>
      <li><font face="Arial,Helvetica">Properties</font> </li>
      <li><font face="Arial,Helvetica">Methods</font></li>
    </ul>
  </li>
  <li><font face="Arial,Helvetica">Functions</font> </li>
  <li><font face="Arial,Helvetica">Statements</font> </li>
  <li><font face="Arial,Helvetica">Events</font></li>
</ul>
<font face="Arial,Helvetica"><b><font color="#009900">Objects</font></b>
are a window, document, image, page, form, table, button, graphic, or
URL, to name a few.&nbsp; Everything that can be controlled in a Web
browser is an object.&nbsp; Objects contain properties (or attributes)
and methods (or operations).</font>
<p><font face="Arial,Helvetica"><b><font color="#009900">Properties</font></b>
identify the condition of the object (e.g. &#8220;green&#8221;).&nbsp; For example,
length or name are JavaScript properties.&nbsp; Properties are defined
by using the object&#8217;s name, a period and then the name of the property.</font>
</p>
<p><font face="Arial,Helvetica"><b><font color="#009900">Methods</font></b>
are the action behind the changing of the properties.&nbsp; For example
fontcolor(&#8220;green&#8221;) sets the color of the text to &#8220;green&#8221;.</font> </p>
<p><font face="Arial,Helvetica"><b><font color="#009900">Functions</font></b>
are simply methods (operations) that run outside of an object.</font> </p>
<p><font face="Arial,Helvetica"><b><font color="#009900">Statements</font></b>
are the part of the program that control the length of the object and
how the program flows (e.g. if, else).</font> </p>
<p><font face="Arial,Helvetica"><b><font color="#009900">Events</font></b>
are things that trigger the program to react in a certain
fashion.&nbsp; A good example of this is when a user clicks the mouse
on a portion of a Web page.&nbsp; The event is what occurs when the
mouse button is clicked.&nbsp; Events always happen in conjunction with
an object.</font> <br>
</p>
<hr align="left" width="100%">
<b><font face="Arial,Helvetica">JavaScript &lt;script&gt; tag</font></b>
<p><font face="Arial,Helvetica">JavaScript is written using the two
sided &lt;script&gt; tag.&nbsp; The &lt;script&gt; tag can be placed
anywhere in the &lt;head&gt; and/or &lt;body&gt; sections of an HTML
file.&nbsp; The table below shows some examples of the &lt;script&gt;
tag:</font> <br>
&nbsp;
<table bgcolor="#ccffff" border="1" cols="2" width="711">
  <tbody>
    <tr>
      <td width="284"><font face="Arial,Helvetica">&lt;script&gt;</font>
      <br>
      <font face="Arial,Helvetica">&nbsp; JavaScript Commands</font> <br>
      <font face="Arial,Helvetica">&lt;/script&gt;</font></td>
      <td width="368"><font face="Arial,Helvetica">This is the simplest
use of &lt;script&gt;</font></td>
    </tr>
    <tr>
      <td width="284"><font face="Arial,Helvetica">&lt;script src="URL"
language="language"&gt;</font> <br>
      <font face="Arial,Helvetica">&nbsp; JavaScript Commands</font> <br>
      <font face="Arial,Helvetica">&lt;/script&gt;</font></td>
      <td width="368"><font face="Arial,Helvetica">The script tag has
additional attributes, e.g. URL is the location of an external file to
store your information.&nbsp; Language is the language that is inside
the script tag, by default the language is JavaScript, e.g. &lt;script
language="JavaScript"&gt;</font></td>
    </tr>
  </tbody>
</table>
</p>
<p><b><font face="Arial,Helvetica">Note:&nbsp; JavaScript uses the
comment tag to hide Browsers that can't interrupt JavaScript.</font></b>
</p>
<p><font face="Arial,Helvetica">&lt;html&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp; &lt;head&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;title&gt;JavaScript
Example&lt;/title&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; <b><font
 color="#009900">&lt;script&gt;</font></b></font> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;!-- Hide JavaScript Commands from Browsers that can't interrupt
JavaScript</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
JavaScript Commands</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
// Stop Hiding JavaScript Commands --&gt;</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;
&lt;/script&gt;</font></font></b> <br>
<font face="Arial,Helvetica">&nbsp; &lt;/head&gt;</font> </p>
<p><font face="Arial,Helvetica">&nbsp; &lt;body bgcolor="#ccffff"&gt;</font>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;
&lt;div align="center"&gt;&lt;h3&gt;JavaScript
Example&lt;/h3&gt;&lt;/div&gt;</font>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; <b><font
 color="#009900">&lt;script&gt;</font></b></font> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&lt;!-- Hide JavaScript Commands from Browsers that can't interrupt
JavaScript</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
JavaScript Commands</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
// Stop Hiding JavaScript Commands --&gt;</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;
&lt;/script&gt;</font></font></b> <br>
<font face="Arial,Helvetica">&nbsp; &lt;/body&gt;</font> <br>
<font face="Arial,Helvetica">&lt;/html&gt;</font> <br>
</p>
<hr align="left" width="100%">
<b><font face="Arial,Helvetica">JavaScript Commands</font></b>
<p><font face="Arial,Helvetica">JavaScript Commands are the syntax that
JavaScript uses to execute within an HTML web page.&nbsp; We will first
start with the document object.&nbsp; The document object is the web
page itself, the body.&nbsp; To write on the web page you need to use
the document object.&nbsp; The document object has several
methods.&nbsp; We will start with the write and writeln methods.</font>
<br>
&nbsp;
<table bgcolor="#ccffff" border="1" cols="2" width="668">
  <tbody>
    <tr>
      <td width="170"><font face="Arial,Helvetica">document.write("text");</font></td>
      <td width="482"><font face="Arial,Helvetica">Writes the text that
is inside the double quotes, including HTML tags, e.g.
document.write("&lt;h1&gt;text&lt;/h1&gt; &lt;br /&gt;");</font></td>
    </tr>
    <tr>
      <td width="170"><font face="Arial,Helvetica">document.writeln("text");</font></td>
      <td width="482"><font face="Arial,Helvetica">Writes the text that
is inside the double quotes and appends a carriage return &lt;cr&gt;,
ctrl-m at the end of the text.&nbsp; Note:&nbsp; the writeln needs to
have the &lt;pre&gt; preformatted tag enabled.&nbsp; My suggestion is
to use write and not writeln and put &lt;br /&gt; tags that give the
same effect as writeln.</font></td>
    </tr>
  </tbody>
</table>
</p>
<p><font face="Arial,Helvetica">The following code is a basic example
of how to write text using JavaScript.&nbsp; Notice that the HTML tags
are included and display as if we were not using JavaScript.</font> </p>
<p><font face="Arial,Helvetica">&lt;html&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp; &lt;head&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;title&gt;JavaScript
Example&lt;/title&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;script
language="JavaScript"&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;!--
Hide JavaScript Commands from Browsers that can't interrupt JavaScript</font>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; // Stop
Hiding JavaScript Commands --&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;/script&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp; &lt;/head&gt;</font> </p>
<p><font face="Arial,Helvetica">&nbsp; &lt;body bgcolor="#ccffff"&gt;</font>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;
&lt;div align="center"&gt;&lt;h3&gt;JavaScript
Example&lt;/h3&gt;&lt;/div&gt;</font>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;script
language="JavaScript"&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;!--
Hide JavaScript Commands from Browsers that can't interrupt JavaScript</font>
<br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("JavaScript document.write");</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("&lt;h5&gt;Header 5 Line with a carriage
return&lt;/h5&gt;&lt;br /&gt;");</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("&lt;i&gt;Another Line that is Italic.&lt;/i&gt;");</font></font></b>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; // Stop
Hiding JavaScript Commands --&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;/script&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp; &lt;/body&gt;</font> <br>
<font face="Arial,Helvetica">&lt;/html&gt;</font> <br>
&nbsp;
<table style="width: 34%;" border="0" cols="1">
  <tbody>
    <tr>
      <td>&nbsp;<img src="script4-1.jpg" title="" alt=""
 style="width: 258px; height: 333px;"></td>
    </tr>
    <tr>
      <td><font face="Arial,Helvetica">Figure 4-1 document.write</font></td>
    </tr>
  </tbody>
</table>
</p>
<hr align="left" width="100%">
<b><font face="Arial,Helvetica">Debugger</font></b>
<p><font face="Arial,Helvetica">Most Browsers have a JavaScript
built-in debugger.&nbsp; To execute the debugger just type <b><font
 size="+2">javascript:</font></b> , include the colon in your URL and
the debugger will appear.&nbsp; There are many websites that will
instruct you how to use the javascript tool.</font> <br>
&nbsp;
<table style="width: 53%;" border="0" cols="1">
  <tbody>
    <tr>
      <td>&nbsp;<img src="script4-2.jpg" title="" alt=""
 style="width: 399px; height: 346px;"></td>
    </tr>
    <tr>
      <td><font face="Arial,Helvetica">Figure 4-2 javascript:</font></td>
    </tr>
  </tbody>
</table>
<table style="width: 72%;" border="0" cols="1">
  <tbody>
    <tr>
      <td>&nbsp;<img src="script4-3.jpg" title="" alt=""
 style="width: 544px; height: 217px;"></td>
    </tr>
    <tr>
      <td><font face="Arial,Helvetica">Figure 4-3 JavaScript Debugger</font></td>
    </tr>
  </tbody>
</table>
</p>
<hr align="left" width="100%">
<b><font face="Arial,Helvetica">Variables</font></b>
<p><font face="Arial,Helvetica">JavaScript supports Variables much like
any programming language.&nbsp; We will write a simple program to
display computations and use some of the built-in JavaScript
objects.&nbsp; Variables are defined using the var object.&nbsp;
Variables are declared only, assigned values only or both declared and
assigned, see the table below:</font> <br>
&nbsp;
<table bgcolor="#ccffff" border="1" cols="2" width="668">
  <tbody>
    <tr>
      <td width="171"><font face="Arial,Helvetica">var myVariable;</font></td>
      <td width="481"><font face="Arial,Helvetica">The variable
myVariable is declared and not assigned any value.</font></td>
    </tr>
    <tr>
      <td width="171"><font face="Arial,Helvetica">myVariable = "Max";</font></td>
      <td width="481"><font face="Arial,Helvetica">The variable
myVariable is not declared and assigned the value Max.</font></td>
    </tr>
    <tr>
      <td width="171"><font face="Arial,Helvetica">var myVariable =
"Max";</font></td>
      <td width="481"><font face="Arial,Helvetica">The variable
myVariable is declared and assigned the value Max.</font></td>
    </tr>
  </tbody>
</table>
</p>
<p><font face="Arial,Helvetica">Variables can be Strings, Numeric,
Boolean, Null and other types.&nbsp; The variable myVariable in the
table above is a String variable.&nbsp; The following table shows some
of the basic data types.&nbsp; The next example we will generate a Date
variable using a built-in JavaScript objects.</font> <br>
&nbsp;
<table bgcolor="#ccffff" border="1" cols="2" width="528">
  <tbody>
    <tr>
      <td width="81"><font face="Arial,Helvetica">Strings</font></td>
      <td width="431"><font face="Arial,Helvetica">Strings are any
group of characters, e.g. "Hello", "Hello Class"</font></td>
    </tr>
    <tr>
      <td width="81"><font face="Arial,Helvetica">Numeric</font></td>
      <td width="431"><font face="Arial,Helvetica">Numerics can be any
number, e.g. 13, 13.13, -13, 13E13</font></td>
    </tr>
    <tr>
      <td width="81"><font face="Arial,Helvetica">Boolean</font></td>
      <td width="431"><font face="Arial,Helvetica">Booleans are either
True or false, e.g. true, false</font></td>
    </tr>
    <tr>
      <td width="81"><font face="Arial,Helvetica">Null</font></td>
      <td width="431"><font face="Arial,Helvetica">Nulls have no value</font></td>
    </tr>
  </tbody>
</table>
</p>
<p><font face="Arial,Helvetica">There are several built-in JavaScript
objects.&nbsp; To create an object you must use the <b><font size="+2">new</font></b>
reserved word.&nbsp; <b><font size="+2">new</font></b> creates an
object instance.&nbsp; We are going to declare a variable called
maxAdoptionDate and assign the current value into
maxsAdoptionDate.&nbsp; The following command performs this function.</font>
<br>
&nbsp;
<table bgcolor="#ccffff" border="1" cols="2" width="668">
  <tbody>
    <tr>
      <td width="239"><font face="Arial,Helvetica">var maxsAdoptionDate
=&nbsp;</font> <br>
      <font face="Arial,Helvetica">&nbsp; new Date("November 4, 1984");</font></td>
      <td width="413"><font face="Arial,Helvetica">Declare variable
maxsAdoptionDate and assign the current value into
maxsAdoptionDate.&nbsp; new Date creates an object instance using the
values November 4, 1984.&nbsp; The object instance returns the date
format.</font></td>
    </tr>
  </tbody>
</table>
</p>
<p><font face="Arial,Helvetica">&lt;html&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp; &lt;head&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;title&gt;JavaScript
Example&lt;/title&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;script
language="JavaScript"&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;!--
Hide JavaScript Commands from Browsers that can't interrupt JavaScript</font>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; // Stop
Hiding JavaScript Commands --&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;/script&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp; &lt;/head&gt;</font> </p>
<p><font face="Arial,Helvetica">&nbsp; &lt;body bgcolor="#ccffff"&gt;</font>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;
&lt;div align="center"&gt;&lt;h3&gt;JavaScript
Example&lt;/h3&gt;&lt;/div&gt;</font>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;script
language="JavaScript"&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;!--
Hide JavaScript Commands from Browsers that can't interrupt JavaScript</font>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b><font
 color="#009900">var maxsAdoptionDate = new Date("November 4, 1984");</font></b></font>
<br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("Max's Adoption Date:&nbsp; " + maxsAdoptionDate);</font></font></b>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; // Stop
Hiding JavaScript Commands --&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;/script&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp; &lt;/body&gt;</font> <br>
<font face="Arial,Helvetica">&lt;/html&gt;</font> <br>
&nbsp;
<table style="width: 42%;" border="0" cols="1">
  <tbody>
    <tr>
      <td>&nbsp;<img src="script4-4.jpg" title="" alt=""
 style="width: 319px; height: 275px;"></td>
    </tr>
    <tr>
      <td><font face="Arial,Helvetica">Figure 4-4 Date Object</font></td>
    </tr>
  </tbody>
</table>
</p>
<hr align="left" width="100%">
<b><font face="Arial,Helvetica">Expressions and Operators</font></b>
<p><font face="Arial,Helvetica">Expressions are commands that assign
values to your variables using operators.&nbsp; We have already worked
an expression when we assigned a value to Max's Adoption Date, e.g<font
 color="#000000">. var maxsAdoptionDate = new Date("November 4, 1984");</font></font>
</p>
<p><font face="Arial,Helvetica"><font color="#000000">Operators are
elements that perform actions within expressions.&nbsp; Operators can
be arithmetic, assignment or logical.&nbsp; The following table has
some examples:</font></font> <br>
&nbsp;
<table bgcolor="#ccffff" border="1" cols="2" width="668">
  <tbody>
    <tr>
      <td width="368"><font face="Arial,Helvetica">arithmetic, plus
sign would mean add</font></td>
      <td width="284"><font face="Arial,Helvetica">1 + 2 results as 3</font></td>
    </tr>
    <tr>
      <td width="368"><font face="Arial,Helvetica">assignment, plus
sign would mean concatenate</font></td>
      <td width="284"><font face="Arial,Helvetica">"a" + "b" results as
"ab"</font></td>
    </tr>
    <tr>
      <td width="368"><font face="Arial,Helvetica">logical, double
equals would mean return true if equal</font></td>
      <td width="284"><font face="Arial,Helvetica">a == b results as
true if a and b are equal else false</font></td>
    </tr>
  </tbody>
</table>
</p>
<p><font face="Arial,Helvetica">Here's an example using Expressions and
Operators:</font> </p>
<p><font face="Arial,Helvetica">&lt;html&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp; &lt;head&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;title&gt;JavaScript
Example&lt;/title&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;script
language="JavaScript"&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;!--
Hide JavaScript Commands from Browsers that can't interrupt JavaScript</font>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; // Stop
Hiding JavaScript Commands --&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;/script&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp; &lt;/head&gt;</font> </p>
<p><font face="Arial,Helvetica">&nbsp; &lt;body bgcolor="#ccffff"&gt;</font>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;
&lt;div align="center"&gt;&lt;h3&gt;JavaScript
Example&lt;/h3&gt;&lt;/div&gt;</font>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;script
language="JavaScript"&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;!--
Hide JavaScript Commands from Browsers that can't interrupt JavaScript</font>
</p>
<p><b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
var maxsAdoptionDate = new Date("November 4, 1984");</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
var today = new Date();</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
var cats = 2;</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
var dogs = 2;</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
var goats = 7;</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
var chickens = 50;</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
var moreCats = false;</font></font></b> </p>
<p><b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
var totalAnimals = cats + dogs + goats + chickens;</font></font></b> </p>
<p><b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
if (cats &gt; dogs) {</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
moreCats = true;</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
}</font></font></b> </p>
<p><b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("Max's Adoption Date:&nbsp; " + maxsAdoptionDate +
"&lt;br /&gt;");</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("Today's Date:&nbsp; " + today + "&lt;br /&gt;&lt;hr
/&gt;");</font></font></b> </p>
<p><b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("Total Animals: " + totalAnimals + "&lt;br /&gt;");</font></font></b>
<br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("Are there more cats than dogs?&nbsp; " + moreCats +
"&lt;br /&gt;");</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("Do cats equal dogs?&nbsp; " + (cats == dogs) + "&lt;br
/&gt;");</font></font></b> </p>
<p><font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; // Stop
Hiding JavaScript Commands --&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;/script&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp; &lt;/body&gt;</font> <br>
<font face="Arial,Helvetica">&lt;/html&gt;</font> <br>
&nbsp;
<table style="width: 79%;" border="0" cols="1">
  <tbody>
    <tr>
      <td>&nbsp;<img src="script4-5.jpg" title="" alt=""
 style="width: 600px; height: 344px;"></td>
    </tr>
    <tr>
      <td><font face="Arial,Helvetica">Figure 4-5 Expressions and
Operators</font></td>
    </tr>
  </tbody>
</table>
</p>
<hr align="left" width="100%">
<b><font face="Arial,Helvetica">Flow Control</font></b>
<p><font face="Arial,Helvetica">JavaScript like many programming
languages has flow control.&nbsp; If-Then-Else, For Loop and While
Loop.&nbsp; The following table contains the syntax for each:</font> <br>
&nbsp;
<table bgcolor="#ccffff" border="1" cols="2" width="329">
  <tbody>
    <tr>
      <td width="93"><font face="Arial,Helvetica">If-Then-Else</font></td>
      <td width="220"><font face="Arial,Helvetica">if (condition) {</font>
      <br>
      <font face="Arial,Helvetica">&nbsp; JavaScript commands if true</font>
      <br>
      <font face="Arial,Helvetica">} else {</font> <br>
      <font face="Arial,Helvetica">&nbsp; JavaScript commands if false</font>
      <br>
      <font face="Arial,Helvetica">}</font></td>
    </tr>
    <tr>
      <td width="93"><font face="Arial,Helvetica">For Loop</font></td>
      <td width="220"><font face="Arial,Helvetica">for (start;
condition; update) {</font> <br>
      <font face="Arial,Helvetica">&nbsp; JavaScript commands</font> <br>
      <font face="Arial,Helvetica">}</font></td>
    </tr>
    <tr>
      <td width="93"><font face="Arial,Helvetica">While Loop</font></td>
      <td width="220"><font face="Arial,Helvetica">while (condition) {</font>
      <br>
      <font face="Arial,Helvetica">&nbsp; JavaScript commands</font> <br>
      <font face="Arial,Helvetica">}</font></td>
    </tr>
  </tbody>
</table>
</p>
<p><font face="Arial,Helvetica">Here's a new web page showing all 3
flow controls:</font> </p>
<p><font face="Arial,Helvetica">&lt;html&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp; &lt;head&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;title&gt;JavaScript
Example&lt;/title&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;script
language="JavaScript"&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;!--
Hide JavaScript Commands from Browsers that can't interrupt JavaScript</font>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; // Stop
Hiding JavaScript Commands --&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;/script&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp; &lt;/head&gt;</font> </p>
<p><font face="Arial,Helvetica">&nbsp; &lt;body bgcolor="#ccffff"&gt;</font>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;
&lt;div align="center"&gt;&lt;h3&gt;JavaScript
Example&lt;/h3&gt;&lt;/div&gt;</font>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;script
language="JavaScript"&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;!--
Hide JavaScript Commands from Browsers that can't interrupt JavaScript</font>
</p>
<p><font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; var cats
= 2;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; var dogs =
2;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; var goats =
7;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; var
chickens = 50;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; var
moreCats = false;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; var i = 0;</font>
</p>
<p><font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("&lt;br /&gt;" + "If-Then-Else Example:" + "&lt;br
/&gt;");</font> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
if (cats &gt; dogs) {</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("There are more cats than dogs" + "&lt;br /&gt;");</font></font></b>
<br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
} else {</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("Cats equal dogs, or there are more dogs than cats" +
"&lt;br /&gt;");</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
}</font></font></b> </p>
<p><font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("&lt;br /&gt;" + "For Example:" + "&lt;br /&gt;");</font>
<br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
for (i=0; i&lt;10; i++) {</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write(i + " ");</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
}</font></font></b> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("&lt;br /&gt;");</font> </p>
<p><font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("&lt;br /&gt;" + "While Example:" + "&lt;br /&gt;");</font>
<br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
i = 10;</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
while (i &gt; 0) {</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write(i-- + " ");</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
}</font></font></b> </p>
<p><font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; // Stop
Hiding JavaScript Commands --&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;/script&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp; &lt;/body&gt;</font> <br>
<font face="Arial,Helvetica">&lt;/html&gt;</font> <br>
&nbsp;
<table style="width: 48%;" border="0" cols="1">
  <tbody>
    <tr>
      <td>&nbsp;<img src="script4-6.jpg" title="" alt=""
 style="width: 364px; height: 399px;"></td>
    </tr>
    <tr>
      <td><font face="Arial,Helvetica">Figure 4-6 Flow Control</font></td>
    </tr>
  </tbody>
</table>
</p>
<hr align="left" width="100%">
<b><font face="Arial,Helvetica">Functions</font></b>
<p><font face="Arial,Helvetica">Functions (methods) are a series of
commands that perform an action or compute a value.&nbsp; Functions can
return values.&nbsp; Functions are useful for segmenting code that is
repeatable.&nbsp; Here is one example.&nbsp; If you have a web page
that is an estore then you would like to keep a subtotal of all
purchases.&nbsp; To do this a function would make the JavaScript code a
lot easier.&nbsp; Let's&nbsp; create our first function, the following
is the syntax for a function.</font> <br>
&nbsp;
<table bgcolor="#ccffff" border="1" cols="2" width="668">
  <tbody>
    <tr>
      <td width="207"><font face="Arial,Helvetica">function
functionName(parameters) {}</font></td>
      <td width="445"><font face="Arial,Helvetica">The word function
notifies your HTML web page that the follow block of code is a
function.&nbsp; The functionName is the name of your function.&nbsp;
You can have zero to many input parameters.&nbsp; Parameters are values
going into a function.</font></td>
    </tr>
    <tr>
      <td width="207"><font face="Arial,Helvetica">return variable;</font></td>
      <td width="445"><font face="Arial,Helvetica">To return a value
from a function use return with the variable that is being
returned.&nbsp; Only one value can be returned.</font></td>
    </tr>
  </tbody>
</table>
</p>
<p><font face="Arial,Helvetica">Here's our web page using a counter of
animals as a function.&nbsp; You can place functions in either the
&lt;head&gt; or &lt;body&gt; section.&nbsp; Functions must be declared
before called.&nbsp; A standard practice is to place functions in
&lt;head&gt; section since most functions only compute not display
information.&nbsp; The code below call the adder function which is
performing a running total.&nbsp; The last call, adder(0) returns the
accumulated total.</font> <br>
&nbsp;
<table bgcolor="#ccffff" border="1" cols="2" width="387">
  <tbody>
    <tr>
      <td width="220">
      <center><font face="Arial,Helvetica"><font color="#000000">function</font></font></center>
      </td>
      <td width="151">
      <center><font face="Arial,Helvetica">accumulated total</font></center>
      </td>
    </tr>
    <tr>
      <td width="220"><font face="Arial,Helvetica"><font color="#000000">adder(cats);</font></font></td>
      <td width="151">
      <center><font face="Arial,Helvetica">2</font></center>
      </td>
    </tr>
    <tr>
      <td width="220"><font face="Arial,Helvetica"><font color="#000000">adder(dogs);</font></font></td>
      <td width="151">
      <center><font face="Arial,Helvetica">4</font></center>
      </td>
    </tr>
    <tr>
      <td width="220"><font face="Arial,Helvetica"><font color="#000000">adder(goats);</font></font></td>
      <td width="151">
      <center><font face="Arial,Helvetica">11</font></center>
      </td>
    </tr>
    <tr>
      <td width="220"><font face="Arial,Helvetica"><font color="#000000">totalAnimals
= adder(chickens);</font></font></td>
      <td width="151">
      <center><font face="Arial,Helvetica">61</font></center>
      </td>
    </tr>
  </tbody>
</table>
</p>
<p><font face="Arial,Helvetica">&lt;html&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp; &lt;head&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;title&gt;JavaScript
Example&lt;/title&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;script
language="JavaScript"&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;!--
Hide JavaScript Commands from Browsers that can't interrupt JavaScript</font>
<br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
var subTotal = 0;</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
function adder(accumulator) {</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
return subTotal += accumulator;</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
}</font></font></b> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; // Stop
Hiding JavaScript Commands --&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;/script&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp; &lt;/head&gt;</font> </p>
<p><font face="Arial,Helvetica">&nbsp; &lt;body bgcolor="#ccffff"&gt;</font>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;
&lt;div align="center"&gt;&lt;h3&gt;JavaScript
Example&lt;/h3&gt;&lt;/div&gt;</font>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;script
language="JavaScript"&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;!--
Hide JavaScript Commands from Browsers that can't interrupt JavaScript</font>
</p>
<p><font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; var
maxsAdoptionDate = new Date("November 4, 1984");</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; var today =
new Date();</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; var cats =
2;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; var dogs =
2;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; var goats =
7;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; var
chickens = 50;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; var
moreCats = false;</font> </p>
<p><font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; if (cats
&gt; dogs) {</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
moreCats = true;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; }</font> </p>
<p><font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("Max's Adoption Date:&nbsp; " + maxsAdoptionDate +
"&lt;br /&gt;");</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("Today's Date:&nbsp; " + today + "&lt;br /&gt;&lt;hr
/&gt;");</font> </p>
<p><b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("Calling Function adder:&nbsp; " + adder(cats) + "&lt;br
/&gt;");</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("Calling Function adder:&nbsp; " + adder(dogs) + "&lt;br
/&gt;");</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("Calling Function adder:&nbsp; " + adder(goats) +
"&lt;br /&gt;");</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("Calling Function adder:&nbsp; " + adder(chickens) +
"&lt;br /&gt;&lt;hr /&gt;");</font></font></b> <br>
<b><font face="Arial,Helvetica"><font color="#009900">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("Total Animals: " + adder(0) + "&lt;br /&gt;");</font></font></b>
<br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("Are there more cats than dogs?&nbsp; " + moreCats +
"&lt;br /&gt;");</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("Do cats equal dogs?&nbsp; " + (cats == dogs) + "&lt;br
/&gt;");</font> </p>
<p><font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; // Stop
Hiding JavaScript Commands --&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp;&nbsp;&nbsp; &lt;/script&gt;</font> <br>
<font face="Arial,Helvetica">&nbsp; &lt;/body&gt;</font> <br>
<font face="Arial,Helvetica">&lt;/html&gt;</font> <br>
&nbsp;
<table style="width: 79%;" border="0" cols="1">
  <tbody>
    <tr>
      <td>&nbsp;<img src="script4-7.jpg" title="" alt=""
 style="width: 594px; height: 431px;"></td>
    </tr>
    <tr>
      <td><font face="Arial,Helvetica">Figure 4-7 Functions</font></td>
    </tr>
  </tbody>
</table>
</p>
<hr align="left" width="100%">
<b><font face="Arial,Helvetica">JavaScript with Date and </font></b><b><font
 face="Arial,Helvetica">Page Counter</font></b><b><font
 face="Arial,Helvetica"> Information<br>
</font></b><font face="Arial,Helvetica"><br>
The following code illustrates several date formats and a page counter:<br>
<br>
&lt;html&gt;<br>
&nbsp; &lt;head&gt;<br>
&nbsp;&nbsp;&nbsp; &lt;title&gt;JavaScript Example&lt;/title&gt;<br>
&nbsp;&nbsp;&nbsp; &lt;script language="JavaScript"&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;!-- Hide JavaScript Commands from
Browsers that can't interrupt JavaScript<br>
<br>
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;
&nbsp; expireDate = new Date();</span><br
 style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;
&nbsp; expireDate.setMonth(expireDate.getMonth() + 6);</span><br
 style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;
</span><br style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;
&nbsp; pageCounter = parseInt(cookieVal("pageHit"));</span><br
 style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;
&nbsp; pageCounter++;</span><br
 style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;
&nbsp; document.cookie = "pageHit=" + pageCounter + "; expires=" +
expireDate.toGMTString()</span><br
 style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp; </span><br
 style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;
&nbsp; function cookieVal(cookieName) {</span><br
 style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp; thisCookie = document.cookie.split("; ")</span><br
 style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp; </span><br
 style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp; for (i = 0; i &lt; thisCookie.length; i++) {</span><br
 style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp;&nbsp; if (cookieName == thisCookie[i].split("=")[0])
{</span><br style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;
&nbsp; &nbsp;&nbsp;&nbsp; &nbsp; return thisCookie[i].split("=")[1];</span><br
 style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;
&nbsp; &nbsp;&nbsp;&nbsp; }</span><br
 style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp; }</span><br
 style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;
&nbsp;&nbsp;&nbsp; return 0;</span><br
 style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;
&nbsp; }</span><br style="color: rgb(0, 153, 0);">
<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; // Stop Hiding JavaScript Commands --&gt;<br>
&nbsp;&nbsp;&nbsp; &lt;/script&gt;<br>
&nbsp; &lt;/head&gt;<br>
<br>
&nbsp; &lt;body bgcolor=#ccffff&gt;<br>
&nbsp;&nbsp;&nbsp; &lt;center&gt;&lt;h3&gt;JavaScript
Example&lt;/h3&gt;&lt;/center&gt;<br>
&nbsp;&nbsp;&nbsp; &lt;script language="JavaScript"&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;!-- Hide JavaScript Commands from
Browsers that can't interrupt JavaScript<br>
<br>
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
var today = new Date();</span><br
 style="font-weight: bold; color: rgb(0, 153, 0);">
<br style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("Today's Date:&nbsp; " + today + "&lt;br /&gt;&lt;hr
/&gt;");</span><br style="font-weight: bold; color: rgb(0, 153, 0);">
<br style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("Current Time:&nbsp; " + today.getHours());</span><br
 style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("&nbsp; Minutes:&nbsp; "&nbsp;&nbsp;&nbsp; +
today.getMinutes());</span><br
 style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("&nbsp; Seconds:&nbsp; "&nbsp;&nbsp;&nbsp; +
today.getSeconds() + "&lt;br /&gt;&lt;hr /&gt;");</span><br
 style="font-weight: bold; color: rgb(0, 153, 0);">
<br style="font-weight: bold; color: rgb(0, 153, 0);">
<span style="font-weight: bold; color: rgb(0, 153, 0);">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
document.write("Page Counter:&nbsp; " + pageCounter);</span><br>
<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; // Stop Hiding JavaScript Commands --&gt;<br>
&nbsp;&nbsp;&nbsp; &lt;/script&gt;<br>
&nbsp; &lt;/body&gt;<br>
&lt;/html&gt;<br>
</font>
<table style="text-align: left; width: 576px; height: 386px;" border="0"
 cellpadding="2" cellspacing="2">
  <tbody>
    <tr>
      <td style="vertical-align: top;"><span
 style="font-size: 12pt; font-family: &quot;Times New Roman&quot;;"><!--[if gte vml 1]><v:shapetype id="_x0000_t75"
 coordsize="21600,21600" o:spt="75" o:preferrelative="t" path="m@4@5l@4@11@9@11@9@5xe"
 filled="f" stroked="f">
 <v:stroke joinstyle="miter"/>
 <v:formulas>
  <v:f eqn="if lineDrawn pixelLineWidth 0"/>
  <v:f eqn="sum @0 1 0"/>
  <v:f eqn="sum 0 0 @1"/>
  <v:f eqn="prod @2 1 2"/>
  <v:f eqn="prod @3 21600 pixelWidth"/>
  <v:f eqn="prod @3 21600 pixelHeight"/>
  <v:f eqn="sum @0 0 1"/>
  <v:f eqn="prod @6 1 2"/>
  <v:f eqn="prod @7 21600 pixelWidth"/>
  <v:f eqn="sum @8 21600 0"/>
  <v:f eqn="prod @7 21600 pixelHeight"/>
  <v:f eqn="sum @10 21600 0"/>
 </v:formulas>
 <v:path o:extrusionok="f" gradientshapeok="t" o:connecttype="rect"/>
 <o:lock v:ext="edit" aspectratio="t"/>
</v:shapetype><v:shape id="_x0000_i1025" type="#_x0000_t75" style='width:412.5pt;
 height:260.25pt'>
 <v:imagedata src="file:///C:\DOCUME~1\Daddy\LOCALS~1\Temp\msohtml1\01\clip_image001.png"
  o:title=""/>
</v:shape><![endif]--><!--[if !vml]--><img
 style="width: 550px; height: 347px;" src="script4-8.jpg"
 v:shapes="_x0000_i1025" title="" alt=""><!--[endif]--></span></td>
    </tr>
    <tr>
      <td style="vertical-align: top;"><font face="Arial,Helvetica">Figure
4-8 Date and Page Counter Example<br>
      </font></td>
    </tr>
  </tbody>
</table>
<font face="Arial,Helvetica">
</font><b></b>
<hr style="width: 100%; height: 2px;"><b><font face="Arial,Helvetica">JavaScript
Tips</font></b>
<p><font face="Arial,Helvetica">When writing JavaScript use good
programming habits:</font> </p>
<ul>
  <li><font face="Arial,Helvetica">Indentation, makes reading
JavaScript easy to understand and maintain</font> </li>
  <li><font face="Arial,Helvetica">Proper case - JavaScript is case
sensitive</font> </li>
  <li><font face="Arial,Helvetica">Enclose JavaScript commands within
comments for Browsers that do not support JavaScript</font>
    <ul>
      <li><font face="Arial,Helvetica">Most Browsers support
JavaScript, however, they could have their JavaScript interpreter
turned off</font></li>
    </ul>
  </li>
  <li><font face="Arial,Helvetica">Test JavaScript along with your HTML
programs</font>
    <ul>
      <li><font face="Arial,Helvetica">JavaScript is interpreted
differently with the various Browsers</font></li>
    </ul>
  </li>
</ul>
<hr align="left" width="100%">
<b><font face="Arial,Helvetica">Java Script Examples</font></b>
<p><font face="Arial,Helvetica">The following are good examples of some
simple, small JavaScript programs:</font> </p>
<p><font face="Arial,Helvetica"><a
 href="http://www.devx.com/gethelp/GHpast10min.asp?Area=IDASGPPB&amp;MenuID=276">http://www.devx.com/gethelp/GHpast10min.asp?Area=IDASGPPB&amp;MenuID=276</a></font>
<br>
<font face="Arial,Helvetica"><a href="http://www.htmlgoodies.com/stips/">http://www.htmlgoodies.com/stips/</a></font>
<br>
<font face="Arial,Helvetica"><a href="http://www.javascript.com">http://www.javascript.com</a></font>
<br>
<font face="Arial,Helvetica"><a
 href="http://www.htmlgoodies.com/beyond/js.html">http://www.htmlgoodies.com/beyond/js.html</a></font>
<br>
<font face="Arial,Helvetica"><a
 href="http://www.webteacher.org/windows.html">http://www.webteacher.org/windows.html</a>
(and click on the JavaScript link)</font> <br>
<font face="Arial,Helvetica"><a
 href="http://www.pagetutor.com/javascript/">http://www.pagetutor.com/javascript/</a></font>
<br>
<font face="Arial,Helvetica"><a
 href="http://hotwired.lycos.com/webmonkey/programming/javascript/tutorials/tutorial1.html">http://hotwired.lycos.com/webmonkey/programming/javascript/tutorials/tutorial1.html</a></font>
</p>
<p><b><font face="Arial,Helvetica">Don&#8217;t reinvent the wheel.</font></b>
</p>
<p><font face="Arial,Helvetica">The nice thing about JavaScript is
there is so much in cyberspace and so many people are willing to share
their script.&nbsp; There is no reason to reinvent the wheel if someone
has a script that will do what you need.&nbsp; If they allow, take the
code, change things around and paste your outcome for use on your site.</font>
</p>
<p><font face="Arial,Helvetica">As beginners, you don&#8217;t have to know
much to be able to add JavaScript enhancements to your Web site.&nbsp;
Like I said above, there are a ton of free scripts out there just
waiting for you to test drive them.&nbsp; Take the time to review those
scripts, add them to your site, change them around if you feel
confident enough to and just learn from them.</font> </p>
<p><font face="Arial,Helvetica">Once you have the basics down you can
start creating your own scripts and adding more functionality to
them.&nbsp; However, in order to do this, you will need to have some
working knowledge of JavaScript.</font> <br>
</p>
<hr align="left" width="100%">
<b><font face="Arial,Helvetica">Summary</font></b>
<p><font face="Arial,Helvetica">This lecture gave examples of using the
JavaScript scripting language.&nbsp; JavaScript is a nice tool for
client side computing, reducing the network bottleneck.&nbsp;
JavaScript might not be as powerful as a programming language but there
are a lot of features and uses that can make your web page more dynamic.</font>
</p>
<p><font face="Arial,Helvetica">Make sure you visit the many sites that
I have referenced, including the real true HTML reference, <a
 href="http://www.w3c.org">http://www.w3c.org.&nbsp;</a> This site is
the W3 consortium and where the Internet standards are based,
referenced and agreed upon.</font> <br>
</p>
<hr width="100%">
<b><font face="Arial,Helvetica"><font color="#008080">Discussion
Question 1</font></font></b>
<p><font face="Arial,Helvetica">What are the benefits of using
JavaScript in addition to HTML?</font> </p>
<p><b><font face="Arial,Helvetica"><font color="#008080">Discussion
Question 2</font></font></b> </p>
<p><font face="Arial,Helvetica">What are the major differences between
Java and JavaScript?&nbsp; What is the difference between a programming
language and a scripting language?</font> </p>
<p><b><font face="Arial,Helvetica"><font color="#008080">Discussion
Question 3</font></font></b> </p>
<p><font face="Arial,Helvetica">What other scripting or programming
languages are available to make a web page dynamic, e.g. Java
Applets.&nbsp; Discuss how they work.</font> </p>
<hr size="2" width="100%">
<b><font face="Arial,Helvetica">References</font></b>
<ul>
  <li><font face="Arial,Helvetica">Carey, Patrick. (2001).&nbsp; New
Perspectives on Creating Web Pages with HTML - Comprehensive, 2nd
edition.&nbsp; Cambridge, MA: Course Technology ISBN 0-619-01968-9</font>
  </li>
  <li><font face="Arial,Helvetica">Whatis.com Information Technology
Web Site, Retrieved 2002 May 13 from <a href="http://whatis.com">http://whatis.com</a></font><br>
    <font face="Arial,Helvetica">W3C, HTML Home Page, Modified 2002 May
10, <a href="http://www.w3.org/MarkUp/">http://www.w3.org/MarkUp/</a></font><a
 href="http://www.w3.org/MarkUp/"><span
 style="font-family: helvetica,arial,sans-serif;"></span></a></li>
</ul>
<a href="http://www.w3.org/MarkUp/"><span
 style="font-family: helvetica,arial,sans-serif;"></span>
</a>
<hr style="width: 100%; height: 2px;"><span
 style="font-family: helvetica,arial,sans-serif;"></span><img
 src="../../../../../images/cv64logo.gif" alt=""
 style="width: 32px; height: 32px;" align="left"><small><font
 face="Arial,Helvetica"><a href="mailto:estey@cv64.us">Web
Contact</a></font></small><br>
<small><font face="Arial,Helvetica">
Last modified:&nbsp; 2003 December 31</font></small><small><font
 face="Arial,Helvetica"></font></small>
</div>
</body>
</html>
